Bug 880179 - Review Request: libnetfilter_cthelper - User-space infrastructure for connection tracking helpers
Summary: Review Request: libnetfilter_cthelper - User-space infrastructure for connect...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 12:52 UTC by Paul P Komkoff Jr
Modified: 2012-12-21 10:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-12-21 10:30:06 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul P Komkoff Jr 2012-11-26 12:52:09 UTC
Spec URL: http://stingray.fedorapeople.org/review/libnetfilter_cthelper/libnetfilter_cthelper.spec
SRPM URL: http://stingray.fedorapeople.org/review/libnetfilter_cthelper/libnetfilter_cthelper-1.0.0-1.fc17.src.rpm
Description:
This library provides the infrastructure for the user-space helper
infrastructure available since the Linux kernel 3.6.
Fedora Account System Username: stingray

Comment 1 Peter Lemenkov 2012-11-26 12:54:33 UTC
I'll review it.

Comment 2 Peter Lemenkov 2012-11-26 13:53:39 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is mostly silent (except few false positives):

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/libnetfilter_cthelper-* ../SRPMS/libnetfilter_cthelper-1.0.0-1.fc19.src.rpm 
libnetfilter_cthelper.ppc: E: incorrect-fsf-address /usr/share/doc/libnetfilter_cthelper-1.0.0/COPYING
libnetfilter_cthelper-debuginfo.ppc: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
libnetfilter_cthelper-debuginfo.ppc: W: spelling-error Summary(en_US) cthelper -> ct helper, ct-helper, helper
libnetfilter_cthelper-debuginfo.ppc: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_cthelper-debuginfo.ppc: W: spelling-error %description -l en_US cthelper -> ct helper, ct-helper, helper
libnetfilter_cthelper-devel.ppc: W: spelling-error Summary(en_US) libnetfilter -> filibusterer
libnetfilter_cthelper-devel.ppc: W: spelling-error Summary(en_US) cthelper -> ct helper, ct-helper, helper
libnetfilter_cthelper-devel.ppc: W: spelling-error %description -l en_US libnetfilter -> filibusterer
libnetfilter_cthelper-devel.ppc: W: spelling-error %description -l en_US cthelper -> ct helper, ct-helper, helper
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
sulaco ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file MUST matche the actual license (GPLv2 or later). A correct License tag is GPLv2+.

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum libnetfilter_cthelper-1.0.0.tar.bz2*
07618e71c4d9a6b6b3dc1986540486ee310a9838ba754926c7d14a17d8fccf3d  libnetfilter_cthelper-1.0.0.tar.bz2
07618e71c4d9a6b6b3dc1986540486ee310a9838ba754926c7d14a17d8fccf3d  libnetfilter_cthelper-1.0.0.tar.bz2.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) file is stored in a -devel package.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.


Assuming that you set License tag to GPLv2+ I don't see any issues and this package is


APPROVED.

Comment 3 Paul P Komkoff Jr 2012-11-26 14:54:35 UTC
New Package SCM Request
=======================
Package Name: libnetfilter_cthelper
Short Description: User-space infrastructure for connection tracking helpers
Owners: stingray
Branches: f16 f17 f18 el5 el6

Comment 4 Gwyn Ciesla 2012-11-26 15:01:44 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-11-28 13:09:11 UTC
libnetfilter_cthelper-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libnetfilter_cthelper-1.0.0-3.el6

Comment 6 Fedora Update System 2012-11-28 13:09:24 UTC
libnetfilter_cthelper-1.0.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libnetfilter_cthelper-1.0.0-3.fc17

Comment 7 Fedora Update System 2012-11-28 13:09:35 UTC
libnetfilter_cthelper-1.0.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libnetfilter_cthelper-1.0.0-3.fc18

Comment 8 Fedora Update System 2012-11-28 13:09:45 UTC
libnetfilter_cthelper-1.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libnetfilter_cthelper-1.0.0-3.fc16

Comment 9 Fedora Update System 2012-12-07 03:23:56 UTC
libnetfilter_cthelper-1.0.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2012-12-07 03:31:21 UTC
libnetfilter_cthelper-1.0.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2012-12-07 04:23:25 UTC
libnetfilter_cthelper-1.0.0-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2012-12-13 20:03:55 UTC
libnetfilter_cthelper-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.